node walsh {
    include dyndns

    include cups::browse
    include ubuntu::optimizacion

    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }

    cronapt::mailon-mailto { dist:
       mailon => "upgrade",
       mailto => "seguridad@localhost"
    }

    include estacion-de-trabajo

    ubuntufirefox::startuppage { dist:
       startuppage => "http://www.sedenacional.cta.org.ar",
    }

    include ltsp::updateclient::piloto

    ltsp::buildclient { dist:
        mirror => "http://debproxy-ubuntu:3142/ar.archive.ubuntu.com/ubuntu",
        securitymirror => "http://debproxy-ubuntu:3142/security.ubuntu.com"
    }

    include ltsp::tftpdhpa::activate

    include matrix::ldapauthclient

    # mount samba shared
    package {
         [ "smbfs" ]: ensure => installed;
     }

    file { ["/home"]:
      ensure => directory,
      owner => "root", group => "root", mode => "755"
    }
    file { ["/home/sedenacional-prensa"]:
      ensure => directory,
      owner => "root", group => "sedenacional-prensa", mode => "770"
    }

    file { ["/home/sedenacional-internacional"]:
      ensure => directory,
      owner => "root", group => "sedenacional-internacional", mode => "770"
    }

    file { ["/home/sedenacional-instituto"]:
      ensure => directory,
      owner => "root", group => "sedenacional-instituto", mode => "770"
    }

    file { ["/home/sedenacional-observatorio"]:
      ensure => directory,
      owner => "root", group => "sedenacional-observatorio", mode => "770"
    }

    file { ["/home/sedenacional-genero"]:
      ensure => directory,
      owner => "root", group => "sedenacional-genero", mode => "770"
    }

    file { ["/home/sedenacional-bloquegremial"]:
      ensure => directory,
      owner => "root", group => "sedenacional-bloquegremial", mode => "770"
    }

    file { ["/home/sedenacional-sistemas"]:
      ensure => directory,
      owner => "root", group => "sedenacional-sistemas", mode => "770"
    }

    file { ["/home/sedenacional-maquinavirtual"]:
      ensure => directory,
      owner => "root", group => "sedenacional-sistemas", mode => "775"
    }

     mount { "/home/sedenacional-prensa":
         atboot   => true,
         device   => "//tupac/prensa",
         ensure   => mounted,
         fstype   => "smbfs",
	 remounts => false,
	 options  => "credentials=/root/smb-prensa,dir_mode=0770,gid=10048,iocharset=utf8",
         require  => package["smbfs"],
     }

     mount { "/home/sedenacional-internacional":
         atboot   => true,
         device   => "//tupac/internacional",
         ensure   => mounted,
         fstype   => "smbfs",
         remounts => false,
         options  => "credentials=/root/smb-internacional,dir_mode=0770,gid=10049,iocharset=utf8",
         require  => package["smbfs"],
     }

     mount { "/home/sedenacional-observatorio":
         atboot   => true,
         device   => "//tupac/observatorio",
         ensure   => mounted,
         fstype   => "smbfs",
         remounts => false,
         options  => "credentials=/root/smb-observatorio,dir_mode=0770,gid=10050,iocharset=utf8",
         require  => package["smbfs"],
     }

     mount { "/home/sedenacional-genero":
         atboot   => true,
         device   => "//tupac/genero",
         ensure   => mounted,
         fstype   => "smbfs",
         remounts => false,
         options  => "credentials=/root/smb-genero,dir_mode=0770,gid=10051,iocharset=utf8",
         require  => package["smbfs"],
     }

     mount { "/home/sedenacional-bloquegremial":
         atboot   => true,
         device   => "//tupac/bloquegremial",
         ensure   => mounted,
         fstype   => "smbfs",
         remounts => false,
         options  => "credentials=/root/smb-bloquegremial,dir_mode=0770,gid=10054,iocharset=utf8",
         require  => package["smbfs"],
     }

     mount { "/home/sedenacional-sistemas":
         atboot   => true,
         device   => "//tupac/sistemas",
         ensure   => mounted,
         fstype   => "smbfs",
         remounts => false,
         options  => "credentials=/root/smb-sistemas,dir_mode=0770,gid=10047,iocharset=utf8",
         require  => package["smbfs"],
     }

     mount { "/home/sedenacional-instituto":
         atboot   => true,
         device   => "//tupac/instituto",
         ensure   => mounted,
         fstype   => "smbfs",
         remounts => false,
         options  => "credentials=/root/smb-instituto,dir_mode=0770,gid=10060,iocharset=utf8",
         require  => package["smbfs"],
     }

}
